gdk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object

Controls the keyboard/mouse pointer grabs and a set of GdkScreens.

objects purpose are two fold:

To grab/ungrab keyboard focus and mouse pointer
To manage and provide information about the (s) available for this

objects are the GDK representation of the X Display which can be described as a workstation consisting of a keyboard a pointing device (such as a mouse) and one or more screens. It is used to open and keep track of various objects currently instanciated by the application. It is also used to grab and release the keyboard and the mouse pointer.

- Constructor
  To be added
  To be added
- Constructor
  a
  Internal constructor
  This is not typically used by C# code.
- Property
  Gdk.AppLaunchContext To be added. To be added. To be added.
- Method
  System.Void Emits a short beep. To be added
- Method
  System.Void Closes the connection windowing system for the given display, and cleans up associated resources. To be added
- Event
  GLib.Signal("closed")
  Gdk.ClosedHandler This event is emitted when the connect to the windowing system is closed. None.
- Property
  Gdk.Display Get the default for the display. the default object for display. To be added
- Property
  System.UInt32 To be added a To be added
- Property
  Gdk.Window To be added a To be added
- Property
  Gdk.Screen The default screen.. The screen represending the DefaultScreen. To be added
- Method
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  Gdk.DeviceManager To be added. To be added. To be added.
- Property
  System.UInt32 To be added a To be added
- Property
  System.UInt32 Sets the double-click timeout. a , or null if there is no default display.

  Sets the double click time (two clicks within this time interval count as a double click). Applications should NOT set this, it is a global user-configured setting.

- Property
  Gdk.Event To be added. To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` a a To be added To be added
- Method
  System.Void `` `` a a To be added To be added
- Method
  System.Void `` `` `` a a a To be added To be added
- Method
  System.Void `` `` `` a a a To be added To be added
- Method
  System.Obsolete
  System.Void `` `` `` `` a a a a Gets the current location of the pointer and the current modifier mask for a given display. None
- Method
  System.Void `` `` `` `` a a a a To be added To be added
- Method
  Gdk.Screen `` a representing the screen number Returns a screen object for one of the screens of the display. a To be added
- Method
  System.Obsolete
  Gdk.Window `` `` a a Obtains the window underneath the mouse pointer. a Obtains the window underneath the mouse pointer, returning the location of that window in win_x, win_y for screen. Returns NULL if the window under the mouse pointer is not known to GDK (for example, belongs to another application).
- Property
  GLib.GType Gets the current location of the pointer and the current modifier mask for a given display. a To be added
- Property
  System.Boolean To be added. To be added. To be added.
- Property
  System.Boolean To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` a representing a a timestap. Release any keyboard grab. To be added
- Method
  Gdk.Device[] Returns the list of available input devices attached to the display. a To be added
- Property
  System.String The name of the display A representing the display name.
- Method
  System.Void `` To be added. To be added. To be added.
- Property
  System.Int32 To be added a To be added
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAfterProcessAllUpdates", Type=typeof(Gdk.Display))
  System.Void To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideBeep", Type=typeof(Gdk.Display))
  System.Void To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideBeforeProcessAllUpdates", Type=typeof(Gdk.Display))
  System.Void To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClosed", Type=typeof(Gdk.Display))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideConvertSelection", Type=typeof(Gdk.Display))
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCreateWindowImpl", Type=typeof(Gdk.Display))
  System.Void `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEventDataCopy", Type=typeof(Gdk.Display))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEventDataFree", Type=typeof(Gdk.Display))
  System.Void `` To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideFlush", Type=typeof(Gdk.Display))
  System.Void To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetAppLaunchContext", Type=typeof(Gdk.Display))
  Gdk.AppLaunchContext To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetCursorForName", Type=typeof(Gdk.Display))
  Gdk.Cursor `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetCursorForPixbuf", Type=typeof(Gdk.Display))
  Gdk.Cursor `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetCursorForType", Type=typeof(Gdk.Display))
  Gdk.Cursor `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetDefaultCursorSize", Type=typeof(Gdk.Display))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetDefaultGroup", Type=typeof(Gdk.Display))
  Gdk.Window To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetDefaultScreen", Type=typeof(Gdk.Display))
  Gdk.Screen To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetKeymap", Type=typeof(Gdk.Display))
  Gdk.Keymap To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetMaximalCursorSize", Type=typeof(Gdk.Display))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetName", Type=typeof(Gdk.Display))
  System.String To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetNextSerial", Type=typeof(Gdk.Display))
  System.UInt64 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetNScreens", Type=typeof(Gdk.Display))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetScreen", Type=typeof(Gdk.Display))
  Gdk.Screen `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetSelectionOwner", Type=typeof(Gdk.Display))
  Gdk.Window `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetSelectionProperty", Type=typeof(Gdk.Display))
  System.Int32 `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideHasPending", Type=typeof(Gdk.Display))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideListDevices", Type=typeof(Gdk.Display))
  GLib.List To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideNotifyStartupComplete", Type=typeof(Gdk.Display))
  System.Void `` To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideOpened", Type=typeof(Gdk.Display))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePopErrorTrap", Type=typeof(Gdk.Display))
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePushErrorTrap", Type=typeof(Gdk.Display))
  System.Void To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideQueueEvents", Type=typeof(Gdk.Display))
  System.Void To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRequestSelectionNotification", Type=typeof(Gdk.Display))
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSendSelectionNotify", Type=typeof(Gdk.Display))
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSetSelectionOwner", Type=typeof(Gdk.Display))
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideStoreClipboard", Type=typeof(Gdk.Display))
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSupportsClipboardPersistence", Type=typeof(Gdk.Display))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSupportsComposite", Type=typeof(Gdk.Display))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSupportsCursorAlpha", Type=typeof(Gdk.Display))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSupportsCursorColor", Type=typeof(Gdk.Display))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSupportsInputShapes", Type=typeof(Gdk.Display))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSupportsSelectionNotification", Type=typeof(Gdk.Display))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSupportsShapes", Type=typeof(Gdk.Display))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSync", Type=typeof(Gdk.Display))
  System.Void To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextPropertyToUtf8List", Type=typeof(Gdk.Display))
  System.Int32 `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideUtf8ToStringTarget", Type=typeof(Gdk.Display))
  System.String `` To be added. To be added. To be added. To be added.
- Method
  Gdk.Display `` a - the name of the display to open Opens a display. a , or null if the display could not be opened. To be added
- Method
  Gdk.Display Opens the default display specified by the command line arguments or the environment variables, setting it as the default display, it it was already set, then its just returned. A that is the default display just opened. Global.ParseArgs should be called first.

  This method is internal and shouldn't be used in any application.

- Event
  GLib.Signal("opened")
  System.EventHandler To be added. To be added.
- Method
  Gdk.Event Gets a copy of the first in the display's event queue, without removing the event from the queue. (Note that this function will not get more events from the windowing system. It only checks the events that have already been moved to the GDK event queue.) a copy of the first on the event queue, or null if no events are in the queue. To be added
- Method
  System.Obsolete
  System.Boolean Test if the pointer is grabbed. a that is true if an active X pointer grab is in effect. To be added
- Method
  System.Obsolete
  System.Void `` a representing a a timestap. Release any pointer grab. To be added
- Method
  System.Void `` a to be appended onto the front of the event queue. Appends the given event onto the front of the event queue for display. To be added
- Method
  System.Boolean `` a To be added a To be added
- Method
  System.Void `` `` `` `` a a a a To be added To be added
- Method
  System.Boolean To be added a To be added
- Property
  System.Boolean Indicates if Compositing is supported. If compositing is supported, , otherwise .
- Method
  System.Boolean To be added a To be added
- Method
  System.Boolean To be added a To be added
- Property
  System.Boolean Indicates if input shapes are supported. If input shapes are supported, , otherwise . Use to alter the input shape if support is indicated.
- Method
  System.Boolean To be added a To be added
- Property
  System.Boolean Indicates if shaped windows are supported. If shaped windows are supported, , otherwise . Use to alter the shape if support is indicated.
- Method
  System.Void To be added To be added
- Method
  System.Obsolete
  System.Void `` `` `` Screen to reposition pointer onto. X coordinate of pointer destination. Y coordinate of pointer destination. Warps the mouse pointer to a coordinate on a Screen. When grabs are in effect, the pointer will only be moved as far as the grab allows. Warping the pointer creates events as if the mouse were instantaneously moved to the destination by the user.